%define oname	J7Z

Name:		j7z
Version:	1.2.0
Release:	%mkrel 4
Summary:	A P7Zip GUI for Linux to simplify data compression and backup
Summary(fr_FR):	Une interface graphique pour P7Zip_7-Zip
License:	LGPLv3
Group:		Archiving/Compression
URL:		https://code.google.com/p/k7z/
Source:		https://k7z.googlecode.com/files/%{oname}-%{version}-src.tar.bz2
BuildArch:	noarch

BuildRequires:	ant 
BuildRequires:	ant-apache-regexp
BuildRequires:	desktop-file-utils
BuildRequires:	java-devel-openjdk >= 1.7
BuildRequires:	p7zip

Requires:	p7zip 
Requires:	java-1.7.0-openjdk >= 1.7

%description
J7Z is an alternative 7-Zip GUI. It was designed by Xavion.

7-Zip is a high-compression file archiver. It was designed by Igor Pavlov.

Use J7Z if you want to:

    * Update existing archives quickly
    * Backup multiple folders to a storage location
    * Create or extract protected archives
    * Lessen effort by using archiving profiles and lists

%description -l fr_FR
J7Z est une alternative de 7-Zip GUI. Il a été conçu par Xavion.

7-Zip est un archiveur de fichiers en haute-compression. 
Il a été conçu par Igor Pavlov.

Utilisez J7Z si vous voulez:

    * Mettre à jour rapidement les archives existantes
    * Sauvegarder plusieurs dossiers vers un emplacement de stockage
    * Créer ou extraire des archives protégées
    * Réduire l'effort à l'aide de profils et de listes d'archivage 

#-------------------------------------------------------------------------

%package -n j7z-kde4
Summary:	KDE4 ServiceMenus for J7Z
Summary(fr_FR):	ServiceMenus de KDE4 pour J7Z
Group:		Archiving/Compression
Requires:	%{name} = %{version}-%{release}

%description -n j7z-kde4
J7Z is an alternative 7-Zip GUI. It was designed by Xavion.

7-Zip is a high-compression file archiver. It was designed by Igor Pavlov.

Use J7Z if you want to:

    * Update existing archives quickly
    * Backup multiple folders to a storage location
    * Create or extract protected archives
    * Lessen effort by using archiving profiles and lists 

%description -l fr_FR -n j7z-kde4
J7Z est une alternative de 7-Zip GUI. Il a été conçu par Xavion.

7-Zip est un archiveur de fichiers en haute-compression. 
Il a été conçu par Igor Pavlov.

Utilisez J7Z si vous voulez:

    * Mettre à jour rapidement les archives existantes
    * Sauvegarder plusieurs dossiers vers un emplacement de stockage
    * Créer ou extraire des archives protégées
    * Réduire l'effort à l'aide de profils et de listes d'archivage
    
#-------------------------------------------------------------------------    
%prep
%setup -q -n %{oname}

sed -i -e 's|X-Qt;KDE;Utility;Archiving;Compression|X-Qt;KDE;Utility;Archiving;|g' \
	Desktop/Menu/J7Z.desktop

rm -rf Profiles/Windows
rm -rf Externals/Windows

%build
pushd Build
	%make
popd

%install
pushd Build
	%makeinstall_std
popd

echo "X-Mageia-translate=true" >> %{buildroot}%{_datadir}/kde4/services/ServiceMenus/J7Z-Create.desktop
echo "X-Mageia-translate=true" >> %{buildroot}%{_datadir}/kde4/services/ServiceMenus/J7Z-Extract.desktop
echo "X-Mageia-translate=true" >> %{buildroot}%{_datadir}/J7Z/Desktop/KDE/J7Z-Create.desktop
echo "X-Mageia-translate=true" >> %{buildroot}%{_datadir}/J7Z/Desktop/KDE/J7Z-Extract.desktop
echo "X-Mageia-translate=true" >> %{buildroot}%{_datadir}/J7Z/Desktop/Menu/J7Z.desktop

desktop-file-install \
	--vendor='' \
	--dir=%{buildroot}%{_datadir}/applications \
	--remove-key=Encoding \
%{buildroot}%{_datadir}/applications/*.desktop

%files
%doc Dist/README.TXT
%{_bindir}/%{oname}.sh
%{_datadir}/%{oname}/
%{_datadir}/applications/%{oname}.desktop
%{_iconsdir}/hicolor/16x16/actions/*.png
%{_iconsdir}/hicolor/32x32/apps/%{oname}.png

%files -n j7z-kde4
%doc Dist/README.TXT
%dir %{_datadir}/kde4/services/ServiceMenus
%{_datadir}/kde4/services/ServiceMenus/*.desktop


%changelog
* Sun Jan 26 2014 david.david (MLO Team) <david.david> 1.2.0-4.mga4
+ Rebuild package for Mageia 4 (Core\MLO)
- rename package to j7z instead of J7Z (Mageia policies)
- version: 1.2.0

* Sat Aug 10 2013 david.david (MLO Team) <david.david> 1.2.0-3.mga3
+ Revision: 3
- use correct macro
- fix Source url

* Sat May 04 2013 david.david (MLO Team) <david.david> 1.2.0-2.mga3
+ Rebuild package for Mageia 3 (Core)
- correcting "spec" file
- add french language in %%description and %%Summary
- version: 1.2.0

	+ Disable line: %%BuildRequires:update-desktop-files
	+ Disable line: %%suse_update_desktop_file %%{name} Utility Archiving
	
* Sun Apr 14 2013 Adrien.D (MLO Team) <adrien.d> 1.2.0-1.mga2
+ Backported from Open Suse
+ Clean "spec" file.

